Get One Transaction Transfer

Using this method, an operator can check the status of every transaction made between a player's source account and his wallet in the Naga Games system.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Read Me First!

An operator must generate X-Signature based on their input data before sending the request.

Please Refer ➡️ How to generate signature for Transfer mode?

An operator must process the data in the same order ( data order and the number of data fields passed ) as specified by Naga Games to get the result from the API. Please make sure that the signature generated is valid before requesting, as different data will generate different signature and will result in error ( happens if any order or any data is missing or invalid during the signature generation process ).

Please Refer ➡️ Data Ordering before Stringify & Hashing

/* JAVASCRIPT EXAMPLE */

// Payload get from query params
const payload = {
  "brandCode": "srot",
  "groupCode": "dpae",
};

//To ensure accurate results when using this API.
//The operator must create an instance of the generateSignatureExample() function. 
//Prior to employing the API, it is necessary to generate the signature using the newly implemented function since it provides a guaranteed output and response.
const signature = generateSignatureExample(payload);

Request

API URL : {NagaGamesAPIDomain}/operator/transfer/transactions/{transactionTransferId}
HTTP Method : GET

Header Parameter:

  • X-Signature (String) - Required
    Must be generated from signing process with correct order of data fields & secretKey.

Body Parameters:

  • data (JSON)
    must contain all fields below.
Parameter NameDescriptionData typeRequired
transactionTransferIdThe unique identifier of the transaction transfer recordStringYes
brandCodeUnique code name of a brandStringYes
groupCodeUnique code name of a groupStringYes

Example

curl --request GET \
     --url 'https://api.stg.game.topplatform.online/operator/transfer/transactions/3b380261-d3d6-b086-9cbe-0f70fe730e00?brandCode=srot&groupCode=dpae' \
     --header 'X-Signature: 9ac2bd1f6cda780afe766ea6a4b4bf8d6429c414ee438d17ae7db0ee96413545' \
     --header 'accept: application/json'

Response

Data Response

NameDescriptionData type
amountAmount of the transactionDecimal
(20,2)
brand.idThe unique identifier of the brand transaction recordString (length: 36)
brand.codeAuto-generated code of the brand in Naga Games’s databaseString (length: 4)
group.idThe unique identifier of the group transaction recordString (length: 36)
group.codeAuto-generated code of the group in Naga Games’s databaseString (length: 4)
createdThe date and time when the record was createdDateTime
currency.idThe unique identifier of the currency codeString (length: 36)
currency.codeThe three character unique identifier of the currencyString (length: 4)
idThe unique identifier of the transaction recordString (length: 36)
nativeTransactionIdThe unique identifier of the native transaction recordString (length: 255)
player.idUnique Identifier of the player in Naga Games SystemString (length: 36)
player.nativeIdNative Identifier of the player in Operator’s systemString (length: 255)
statusStatus of the transaction:
  • SUCCEED
  • FAILED
String
typeType of the transaction:
  • DEPOSIT
  • WITHDRAW
String
wallet.idUnique Identifier of the Wallet in Naga Games SystemString (length: 36)
wallet.balanceBalance amount in the player's walletDecimal
(20,2)

Example

Success Response Example (HTTP status code 200)

{
  "amount": 1000,
  "brand": {
    "id": "2f740d6a-35dc-461d-a415-a927e342407a",
    "code": "srot"
  },
  "group": {
    "id": "81540e1e-dc99-40a7-a1fb-70d6c05de26d",
    "code": "dpae"
  },
  "created": "2023-07-21T08:09:28.267Z",
  "currency": {
    "id": "727d3d98-6294-bf23-a4ad-963f5b06bf74",
    "code": "THB"
  },
  "id": "d51dd942-fc93-20ab-29f3-6f00a43589c3",
  "nativeTransactionId": "d93b49c8-bd90-42eb-bbab-5697171b704a",
  "player": {
    "id": "50784686-4e24-4607-b125-9e7cc20a0148",
    "nativeId": "player_transfer_01"
  },
  "status": "SUCCEED",
  "type": "DEPOSIT",
  "wallet": {
    "id": "26729ffd-a63d-4fc3-9660-61ce360ed611",
    "balance": 1000
  }
}

Failure Response Example (HTTP status code 400)

{
  "message": "Transaction Not Found",
  "code": 1208,
  "timestamp": "2023-05-10T04:48:05.565Z"
}
Path Params
string
required
Defaults to d93b49c8-bd90-42eb-bbab-5697171b704a

The unique identifier of the transaction transfer record

Query Params
string
required
Defaults to srot

Auto-generated code of the brand in Naga Games database

string
required
Defaults to dpae

Auto-generated code of the group in Naga Games database

Headers
string
required
Defaults to 9ac2bd1f6cda780afe766ea6a4b4bf8d6429c414ee438d17ae7db0ee96413545

Generated using the signature generation method using valid input data

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json